# Constant Field Values

## Contents

- com.sun.*
- javax.mail.*

## com.sun.*

com.sun.mail.iap.Response
Modifier and Type
Constant Field
Value
`public static final int`
`BAD`
`12`
`public static final int`
`BYE`
`16`
`public static final int`
`CONTINUATION`
`1`
`public static final int`
`NO`
`8`
`public static final int`
`OK`
`4`
`public static final int`
`SYNTHETIC`
`32`
`public static final int`
`TAG_MASK`
`3`
`public static final int`
`TAGGED`
`2`
`public static final int`
`TYPE_MASK`
`28`
`public static final int`
`UNTAGGED`
`3`

com.sun.mail.imap.IMAPFolder
Modifier and Type
Constant Field
Value
`protected static final char`
`UNKNOWN_SEPARATOR`
`'\uffff'`
com.sun.mail.imap.IMAPStore
Modifier and Type
Constant Field
Value
`public static final String`
`ID_ADDRESS`
`"address"`
`public static final String`
`ID_ARGUMENTS`
`"arguments"`
`public static final String`
`ID_COMMAND`
`"command"`
`public static final String`
`ID_DATE`
`"date"`
`public static final String`
`ID_ENVIRONMENT`
`"environment"`
`public static final String`
`ID_NAME`
`"name"`
`public static final String`
`ID_OS`
`"os"`
`public static final String`
`ID_OS_VERSION`
`"os-version"`
`public static final String`
`ID_SUPPORT_URL`
`"support-url"`
`public static final String`
`ID_VENDOR`
`"vendor"`
`public static final String`
`ID_VERSION`
`"version"`
`public static final int`
`RESPONSE`
`1000`

com.sun.mail.imap.protocol.ListInfo
Modifier and Type
Constant Field
Value
`public static final int`
`CHANGED`
`1`
`public static final int`
`INDETERMINATE`
`3`
`public static final int`
`UNCHANGED`
`2`

com.sun.mail.smtp.SMTPMessage
Modifier and Type
Constant Field
Value
`public static final int`
`NOTIFY_DELAY`
`4`
`public static final int`
`NOTIFY_FAILURE`
`2`
`public static final int`
`NOTIFY_NEVER`
`-1`
`public static final int`
`NOTIFY_SUCCESS`
`1`
`public static final int`
`RETURN_FULL`
`1`
`public static final int`
`RETURN_HDRS`
`2`

## javax.mail.*

javax.mail.Folder
Modifier and Type
Constant Field
Value
`public static final int`
`HOLDS_FOLDERS`
`2`
`public static final int`
`HOLDS_MESSAGES`
`1`
`public static final int`
`READ_ONLY`
`1`
`public static final int`
`READ_WRITE`
`2`
javax.mail.Part
Modifier and Type
Constant Field
Value
`public static final String`
`ATTACHMENT`
`"attachment"`
`public static final String`
`INLINE`
`"inline"`
javax.mail.UIDFolder
Modifier and Type
Constant Field
Value
`public static final long`
`LASTUID`
`-1L`
`public static final long`
`MAXUID`
`4294967295L`

javax.mail.event.ConnectionEvent
Modifier and Type
Constant Field
Value
`public static final int`
`CLOSED`
`3`
`public static final int`
`DISCONNECTED`
`2`
`public static final int`
`OPENED`
`1`
javax.mail.event.FolderEvent
Modifier and Type
Constant Field
Value
`public static final int`
`CREATED`
`1`
`public static final int`
`DELETED`
`2`
`public static final int`
`RENAMED`
`3`
javax.mail.event.MessageChangedEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ENVELOPE_CHANGED`
`2`
`public static final int`
`FLAGS_CHANGED`
`1`
javax.mail.event.MessageCountEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ADDED`
`1`
`public static final int`
`REMOVED`
`2`
javax.mail.event.StoreEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ALERT`
`1`
`public static final int`
`NOTICE`
`2`
javax.mail.event.TransportEvent
Modifier and Type
Constant Field
Value
`public static final int`
`MESSAGE_DELIVERED`
`1`
`public static final int`
`MESSAGE_NOT_DELIVERED`
`2`
`public static final int`
`MESSAGE_PARTIALLY_DELIVERED`
`3`

javax.mail.internet.HeaderTokenizer
Modifier and Type
Constant Field
Value
`public static final String`
`MIME`
`"()<>@,;:\\\"\t []/?="`
`public static final String`
`RFC822`
`"()<>@,;:\\\"\t .[]"`
javax.mail.internet.HeaderTokenizer.Token
Modifier and Type
Constant Field
Value
`public static final int`
`ATOM`
`-1`
`public static final int`
`COMMENT`
`-3`
`public static final int`
`EOF`
`-4`
`public static final int`
`QUOTEDSTRING`
`-2`
javax.mail.internet.MimeUtility
Modifier and Type
Constant Field
Value
`public static final int`
`ALL`
`-1`

javax.mail.search.ComparisonTerm
Modifier and Type
Constant Field
Value
`public static final int`
`EQ`
`3`
`public static final int`
`GE`
`6`
`public static final int`
`GT`
`5`
`public static final int`
`LE`
`1`
`public static final int`
`LT`
`2`
`public static final int`
`NE`
`4`